# vue3-ts-vite-starter-template

A single page app [Vite](https://vitejs.dev) starter template, created to easily bootstrap Vue.js 3 apps.

**Features**

- TypeScript
- Jest for unit testing
- Pinia for state management
- Vue Router 4 for client-side routing
- Bootstrap 5.2 for layout and styling
- SCSS variables inside Vue components
- Purgecss for eliminating unused CSS
- Basic multiple layouts feature
- ESLint config based on `eslint:recommended` with sensible defaults :relaxed:
- [Prettier](https://prettier.io/) for code formatting
- Automated release workflow with [semantic-release](https://github.com/semantic-release/semantic-release)

## Project setup

```
npm install
```

### Compiles and hot-reloads for development

```
npm run dev
```

### Compiles and minifies for production

```
npm run build
```

## Run your unit tests

```
npm run test:unit
```

### Lints files

```
npm run lint
```

### Lints and fixes files

```
npm run lint-fix
```

### Runs Typechecks

```
npm run typecheck
```

### Customize configuration

See [Configuration Reference](https://vitejs.dev/guide/).